package net.educoder.ecsonar.model;

/**
 * @Author: youys
 * @Date: 2022/1/18
 * @Description:
 */
public class SonarScannerParam {

    /**
     * sonar项目名
     */
    private String projectKey;

    /**
     * 项目文件路径
     */
    private String projectPath;

    /**
     * c/++ 需要设置cppcheck文件路径
     */
    private String cppCheckReportPath;

    public SonarScannerParam(String projectKey, String projectPath) {
        this.projectKey = projectKey;
        this.projectPath = projectPath;
    }

    public String getProjectKey() {
        return projectKey;
    }

    public void setProjectKey(String projectKey) {
        this.projectKey = projectKey;
    }

    public String getProjectPath() {
        return projectPath;
    }

    public void setProjectPath(String projectPath) {
        this.projectPath = projectPath;
    }

    public String getCppCheckReportPath() {
        return cppCheckReportPath;
    }

    public void setCppCheckReportPath(String cppCheckReportPath) {
        this.cppCheckReportPath = cppCheckReportPath;
    }
}
